[GRASS-SVN] r48256 - grass/branches/develbranch_6/mswindows/osgeo4w

svn_grass at osgeo.org svn_grass at osgeo.org
Mon Sep 12 17:32:51 EDT 2011


Author: martinl
Date: 2011-09-12 14:32:51 -0700 (Mon, 12 Sep 2011)
New Revision: 48256

Added:
   grass/branches/develbranch_6/mswindows/osgeo4w/grass.tmpl
Modified:
   grass/branches/develbranch_6/mswindows/osgeo4w/
   grass/branches/develbranch_6/mswindows/osgeo4w/package.sh
Log:
wingrass/osgeo4w: add missing tmpl file



Property changes on: grass/branches/develbranch_6/mswindows/osgeo4w
___________________________________________________________________
Modified: svn:ignore
   - configure-stamp
vc
package.log*
lib

   + configure-stamp
vc
package.log*
lib
package


Copied: grass/branches/develbranch_6/mswindows/osgeo4w/grass.tmpl (from rev 48254, grass/branches/releasebranch_6_4/mswindows/osgeo4w/grass.tmpl)
===================================================================
--- grass/branches/develbranch_6/mswindows/osgeo4w/grass.tmpl	                        (rev 0)
+++ grass/branches/develbranch_6/mswindows/osgeo4w/grass.tmpl	2011-09-12 21:32:51 UTC (rev 48256)
@@ -0,0 +1,25 @@
+#! /bin/sh
+#############################################################################
+#
+# MODULE:   	GRASS Initialization
+# AUTHOR(S):	Justin Hickey - Thailand - jhickey at hpcc.nectec.or.th
+# PURPOSE:  	The source file for this shell script is in
+#   	    	lib/init/grass.src and is the grass startup script. It
+#   	    	requires a source file because the definition of GISBASE
+#   	    	is not known until compile time and is substituted from the
+#   	    	Makefile. Any command line options are passed to Init.sh.
+# COPYRIGHT:    (C) 2000-2005, 2011 by the GRASS Development Team
+#
+#               This program is free software under the GNU General Public
+#   	    	License (>=v2). Read the file COPYING that comes with GRASS
+#   	    	for details.
+#
+#############################################################################
+
+trap "echo 'User break!' ; exit" 2 3 9 15
+
+# Set the GISBASE variable
+GISBASE="@OSGEO4W_ROOT@\apps\grass\grass- at VERSION@"
+export GISBASE
+
+exec "$GISBASE/etc/Init.sh" "$@"

Modified: grass/branches/develbranch_6/mswindows/osgeo4w/package.sh
===================================================================
--- grass/branches/develbranch_6/mswindows/osgeo4w/package.sh	2011-09-12 20:57:07 UTC (rev 48255)
+++ grass/branches/develbranch_6/mswindows/osgeo4w/package.sh	2011-09-12 21:32:51 UTC (rev 48256)
@@ -160,18 +160,18 @@
     # $COMSPEC /c "mswindows\\osgeo4w\\gdalplugins.cmd $VERSION" 
     
     log CREATING PACKAGES 
-    mkdir -p package/grass$MAJOR$MINOR 
+    mkdir -p mswindows/osgeo4w/package
     
-    PDIR=$PWD/package
+    PDIR=$PWD/mswindows/osgeo4w/package
     SRC=$PWD
     cd $OSGEO4W_ROOT_MSYS 
 
-    sed -e "s#@VERSION@#$VERSION#g" -e "s#@POSTFIX@#$MAJOR$MINOR#g" \
+    sed -e "s#@VERSION@#$VERSION#g" \
 	$SRC/mswindows/osgeo4w/grass.bat.tmpl >$OSGEO4W_ROOT_MSYS/bin/grass$MAJOR$MINOR.bat.tmpl
-    sed -e "s#@VERSION@#$VERSION#g" -e "s#@OSGEO4W_ROOT_MSYS@#@OSGEO4W_ROOT@#g" -e "s#@POSTFIX@#$MAJOR$MINOR#g" \
+    sed -e "s#@VERSION@#$VERSION#g" \
 	$SRC/mswindows/osgeo4w/grass.tmpl >$OSGEO4W_ROOT_MSYS/bin/grass$MAJOR$MINOR.tmpl
     
-    tar -cjf $PDIR/grass$MAJOR$MINOR/grass-$VERSION-$PACKAGE.tar.bz2 \
+    tar -cjf $PDIR/grass-$VERSION-$PACKAGE.tar.bz2 \
     apps/grass/grass-$VERSION \
     bin/grass$MAJOR$MINOR.bat.tmpl \
     bin/grass$MAJOR$MINOR.tmpl \
@@ -186,7 +186,7 @@
     
     cd $PDIR/.. 
     svn diff >/tmp/grass-$VERSION.diff
-    tar -C /tmp -cjf $PDIR/grass$MAJOR$MINOR/grass-$VERSION-$PACKAGE-src.tar.bz2 grass-$VERSION.diff
+    tar -C /tmp -cjf $PDIR/grass-$VERSION-$PACKAGE-src.tar.bz2 grass-$VERSION.diff
 fi
 
 log 



More information about the grass-commit mailing list